## kmailtransport 23.08.0

=== debian/changelog ===
kmailtransport (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:16 +0100

kmailtransport (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * Refresh make_libgapi_optional.patch
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Adjust packaging for kmailtransportakonadi removal:
    - remove kde-config-mailtransport binary package
    - remove libkpim5mailtransportakonadi5 binary package
    - adjust installed files
    - keep kmailtransport-akonadi for now

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:35:59 +0100

kmailtransport (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:49:48 +0100

kmailtransport (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch make_libgapi_optional.patch
  * Rename library packages:
    - libkf5mailtransport5abi2 -> libkpim5mailtransport5
    - libkf5mailtransportakonadi5 -> libkpim5mailtransportakonadi5
  * Update installed files
  * Drop enable_debian_abi_manager.diff
  * Rename data package: libkf5mailtransport-data ->
    libkpim5mailtransport-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Inject dependency on kmailtransport-akonadi on debian/rules
  * Move mailtransport_smtpplugin.so to kmailtransport-akonadi
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:59:53 +0100

kmailtransport (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:07 +0000

kmailtransport (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:19:58 -0600

kmailtransport (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:26:23 +0000

kmailtransport (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:11:31 +0000

kmailtransport (22.11.90-0ubuntu2) lunar; urgency=medium

  * Fix install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Nov 2022 07:53:20 +0000

kmailtransport (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:07:49 +0000

kmailtransport (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:39:49 +0000

kmailtransport (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:03 +0000

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 23.08.0~) [amd64 arm64 armhf i386],
               libkpimsmtp-dev (>= 23.08.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qt5keychain-dev,
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.0.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkpim5mailtransport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libkf5mailtransport5abi2 (<< 23.04.1~),
          ${kde-l10n:all},
Breaks: ${kde-l10n:all}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkpim5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
        libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
        ${kde-l10n:all},
Replaces: libkf5mailtransport-data (<< 23.04.1~),
          libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
          libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
          ${kde-l10n:all},
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kmailtransport-akonadi (= ${binary:Version}),
         libkf5akonadimime-dev (>= 4:23.08.0~),
         libkf5mime-dev (>= 23.08.0~),
         libkf5wallet-dev (>= 5.31.0~),
         libkpim5mailtransport5 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim5mailtransport5
Architecture: any
Multi-Arch: same
Depends: libkpim5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Breaks: kio-smtp (<< 17.11.90~),
        libkf5mailtransport-data (<< 17.08.3~),
        ${kde-l10n:all},
Replaces: kio-smtp (<< 17.11.90~),
          libkf5mailtransport-data (<< 17.08.3~),
          libkf5mailtransport5abi2 (<< 21.04.1~),
          ${kde-l10n:all},
Provides: ${ABI:VirtualPackage},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

## kmailtransport 23.08.1

=== debian/changelog ===
kmailtransport (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.0~),
+               libkf5mime-dev (>= 23.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 23.08.0~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 23.08.0~),
+               libkpimgapi-dev (>= 23.08.1~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 23.08.1~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -72,8 +72,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:23.08.0~),
-         libkf5mime-dev (>= 23.08.0~),
+         libkf5akonadimime-dev (>= 4:23.08.1~),
+         libkf5mime-dev (>= 23.08.1~),
          libkf5wallet-dev (>= 5.31.0~),
          libkpim5mailtransport5 (= ${binary:Version}),
          libsasl2-dev,

## kmailtransport 23.08.4

=== debian/changelog ===
kmailtransport (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:17:28 +0000

kmailtransport (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:37:26 +0000

kmailtransport (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:33:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.4~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 23.08.1~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 23.08.1~),
+               libkpimgapi-dev (>= 23.08.4~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 23.08.4~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -72,8 +72,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
+         libkf5mime-dev (>= 23.08.4~),
          libkf5wallet-dev (>= 5.31.0~),
          libkpim5mailtransport5 (= ${binary:Version}),
          libsasl2-dev,

## kmailtransport 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
option(BUILD_WITH_COMPAT_LIBS "Generate compat cmake file (Set at false will allow to co-install lib)" ON)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KSMTP_LIB_VERSION "5.24.5")
set(KGAPI_LIB_VERSION "5.24.5")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

########### Find packages ###########
find_package(KF${KF_MAJOR_VERSION}ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim${KF_MAJOR_VERSION}SMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt${QT_MAJOR_VERSION}Keychain CONFIG)
set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)
if (Qt${QT_MAJOR_VERSION}Keychain_VERSION VERSION_LESS 0.14.1)
    find_package(KF${KF_MAJOR_VERSION}Wallet ${KF_MIN_VERSION} CONFIG REQUIRED)
    add_definitions(-DUSE_LEGACY_WALLET_CODE=1)
else()
    add_definitions(-DUSE_LEGACY_WALLET_CODE=0)
endif()

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)


if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test CONFIG REQUIRED)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


########### Targets ###########
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILTRANSPORT
        FILE kmailtransport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}MailTransport_QCH
        FILE KPim${KF_MAJOR_VERSION}MailTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}MailTransportQchTargets.cmake\")")
endif()

ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

add_subdirectory(kmailtransport)

=== src/kmailtransport/CMakeLists.txt ===
add_library(KPim${KF_MAJOR_VERSION}MailTransport)
add_library(KPim${KF_MAJOR_VERSION}::MailTransport ALIAS KPim${KF_MAJOR_VERSION}MailTransport)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailTransportConfigVersion.cmake"
    SOVERSION 5
    )

target_sources(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE
    transport.cpp
    transportmanager.cpp
    transporttype.cpp
    transportjob.cpp
    precommandjob.cpp
    socket.cpp
    servertest.cpp
    )

target_sources(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE
    widgets/transportconfigwidget.cpp
    widgets/transportcombobox.cpp
    widgets/transportlistview.cpp
    widgets/transportmanagementwidget.cpp
    widgets/addtransportdialogng.cpp
    )

target_sources(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE
    plugins/transportabstractplugin.cpp
    plugins/transportpluginmanager.cpp
    ) 
target_sources(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE
    transporttype_p.h
    mailtransport_defs.h
    socket.h
    precommandjob.h
    transport_p.h
    transport.h
    kmailtransport_private_export.h
    plugins/transportpluginmanager.h
    plugins/transportabstractplugin.h
    widgets/addtransportdialogng.h
    widgets/transportcombobox.h
    widgets/transportlistview.h
    widgets/transportconfigwidget_p.h
    widgets/transportconfigwidget.h
    widgets/transportmanagementwidget.h
    transportjob.h
    transportmanager.h
    transporttype.h
    servertest.h
    )

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}MailTransport HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
        DESCRIPTION "kmailtransport (kmailtransport)"
        OLD_CATEGORY_NAMES log_mailtransport
        EXPORT MAILTRANSPORT
    )

ki18n_wrap_ui(KPim${KF_MAJOR_VERSION}MailTransport
    ui/addtransportdialog.ui
    ui/transportmanagementwidget.ui
    )

kconfig_add_kcfg_files(KPim${KF_MAJOR_VERSION}MailTransport GENERATE_MOC transportbase.kcfgc)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}MailTransport PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim${KF_MAJOR_VERSION}MailTransport BASE_NAME mailtransport)

target_include_directories(KPim${KF_MAJOR_VERSION}MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport>")
target_include_directories(KPim${KF_MAJOR_VERSION}MailTransport PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")

target_link_libraries(KPim${KF_MAJOR_VERSION}MailTransport
    PUBLIC
    KF${KF_MAJOR_VERSION}::ConfigGui
    PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::ConfigWidgets
    Qt::DBus
    Qt::Network
    )
if (TARGET KF${KF_MAJOR_VERSION}::Wallet)
    target_link_libraries(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE KF${KF_MAJOR_VERSION}::Wallet)
endif()

target_link_libraries(KPim${KF_MAJOR_VERSION}MailTransport PRIVATE qt${QT_MAJOR_VERSION}keychain)


set_target_properties(KPim${KF_MAJOR_VERSION}MailTransport PROPERTIES
    VERSION ${MAILTRANSPORT_VERSION}
    SOVERSION ${MAILTRANSPORT_SOVERSION}
    EXPORT_NAME MailTransport
    )


install(TARGETS KPim${KF_MAJOR_VERSION}MailTransport EXPORT KPim${KF_MAJOR_VERSION}MailTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})


ecm_generate_headers(MailTransport_CamelCase_HEADERS
    HEADER_NAMES
    PrecommandJob
    ServerTest
    Transport
    TransportJob
    TransportManager
    TransportType
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_HEADERS
    )

ecm_generate_headers(MailTransport_widgets_CamelCase_HEADERS
    HEADER_NAMES
    TransportComboBox
    TransportManagementWidget
    TransportConfigWidget
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_widgets_HEADERS
    RELATIVE widgets
    )

ecm_generate_headers(MailTransport_plugins_CamelCase_HEADERS
    HEADER_NAMES
    TransportAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_plugins_HEADERS
    RELATIVE plugins
    )

install(FILES
    ${MailTransport_SOURCE_DIR}/src/kmailtransport/widgets/transportconfigwidget_p.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport/mailtransport/private COMPONENT Devel )

install(FILES
    ${MailTransport_CamelCase_HEADERS}
    ${MailTransport_widgets_CamelCase_HEADERS}
    ${MailTransport_plugins_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport/MailTransport/ COMPONENT Devel )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
    ${MailTransport_HEADERS}
    ${MailTransport_widgets_HEADERS}
    ${MailTransport_plugins_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport/mailtransport COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KPim${KF_MAJOR_VERSION}MailTransport DEPS "KWallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}MailTransport")
set(MAILTRANSPORT_KF5_COMPAT FALSE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailTransportConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailTransportConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPim${KF_MAJOR_VERSION}MailTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}MailTransportTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailTransport COMPONENT Devel
    )


if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(plugins/tests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}MailTransport_QCH
        NAME KMailTransport
        BASE_NAME KPim${KF_MAJOR_VERSION}MailTransport
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailTransport_HEADERS}
            ${MailTransport_widgets_HEADERS}
            ${MailTransport_plugins_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(plugins/smtp)
if (BUILD_WITH_COMPAT_LIBS)
if (QT_MAJOR_VERSION STREQUAL "5")
##
# TODO: Backwards compatiblity. Remove in next major version
##
set(CMAKECONFIG_INSTALL_DIR_KF5 "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")
set(MAILTRANSPORT_KF5_COMPAT TRUE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_KF5}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailTransportConfigVersion.cmake"
    RENAME "KF5MailTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(EXPORT KPim${KF_MAJOR_VERSION}MailTransportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    FILE KPim${KF_MAJOR_VERSION}MailTransportTargets.cmake
    NAMESPACE KF5::
)
endif()
endif()

=== src/kmailtransport/tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(KF${KF_MAJOR_VERSION}TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

add_executable(transportmgr transportmgr.cpp transportmgr.h)
ecm_mark_as_test(transportmgr)
target_link_libraries(transportmgr KPim${KF_MAJOR_VERSION}MailTransport Qt::Widgets KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::ConfigGui
    KF${KF_MAJOR_VERSION}::TextWidgets KF${KF_MAJOR_VERSION}::CoreAddons)

add_executable(servertest servertest.cpp)
ecm_mark_as_test(servertest)
target_link_libraries(servertest KPim${KF_MAJOR_VERSION}MailTransport KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::ConfigGui Qt::Widgets)


add_executable(addtransportdialogng_gui addtransportdialogng_gui.cpp addtransportdialogng_gui.h)
ecm_mark_as_test(addtransportdialogng_gui)
target_link_libraries(addtransportdialogng_gui KPim${KF_MAJOR_VERSION}MailTransport KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::ConfigGui Qt::Widgets)

=== src/kmailtransport/plugins/smtp/autotests/CMakeLists.txt ===
include(ECMAddTests)

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

ecm_add_test(smtpjobtest.cpp
             ../smtpjob.cpp
             ${CMAKE_CURRENT_BINARY_DIR}/../mailtransportplugin_smtp_debug.cpp
             fakeserver.cpp
    LINK_LIBRARIES Qt::Network
                   Qt::Test
                   KPim${KF_MAJOR_VERSION}::MailTransport
                   KF${KF_MAJOR_VERSION}::I18n
                   KF${KF_MAJOR_VERSION}::ConfigWidgets
                   KF${KF_MAJOR_VERSION}::KIOWidgets
                   KPim${KF_MAJOR_VERSION}::SMTP
                   KPim${KF_MAJOR_VERSION}::GAPICore
    TEST_NAME smtpjobtest
)

=== debian/changelog ===
kmailtransport (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:33:56 +0000

kmailtransport (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:07:49 +0000

kmailtransport (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:05:51 -0700

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 23.08.4~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 23.08.4~),
+               libkpimgapi-dev (>= 23.08.5~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 23.08.5~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -72,8 +72,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:23.08.4~),
-         libkf5mime-dev (>= 23.08.4~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
+         libkf5mime-dev (>= 23.08.5~),
          libkf5wallet-dev (>= 5.31.0~),
          libkpim5mailtransport5 (= ${binary:Version}),
          libsasl2-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "kmailtransport-akonadi, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kmailtransport 24.08.2

=== debian/changelog ===
kmailtransport (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:47:21 -0500

kmailtransport (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Do not recommend kde-config-mailtransport any more as the package
    has been removed.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:11 +0200

kmailtransport (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Aug 2024 23:58:25 +0200

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkgapi-dev (>= 24.08.2~),
               libksmtp-dev (>= 24.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Rules-Requires-Root: no

Package: kmailtransport-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mail transport akonadi library - plugins
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the SMTP plugin.

Package: libkmailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkmailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.3.0~),
         libkpim6mailtransport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim6mailtransport6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkmailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.

## kmailtransport 24.12.0

=== debian/changelog ===
kmailtransport (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:36 +0100

kmailtransport (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkgapi-dev (>= 24.08.2~),
-               libksmtp-dev (>= 24.08.2~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkgapi-dev (>= 24.12.0~),
+               libksmtp-dev (>= 24.12.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
@@ -62,7 +61,7 @@
 Multi-Arch: same
 Depends: libkf6config-dev (>= 6.3.0~),
          libkpim6mailtransport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:

## kmailtransport 24.12.2

=== debian/changelog ===
kmailtransport (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:06:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.0~),
-               libksmtp-dev (>= 24.12.0~),
+               libkgapi-dev (>= 24.12.2~),
+               libksmtp-dev (>= 24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

set(QT_REQUIRED_VERSION "6.7.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport6\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KSMTP_LIB_VERSION "6.3.3")
set(KGAPI_LIB_VERSION "6.3.3")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

########### Find packages ###########
find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6SMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


if(BUILD_TESTING)
    find_package(Qt6Test CONFIG REQUIRED)
   add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


########### Targets ###########
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILTRANSPORT
        FILE kmailtransport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)



ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kmailtransport (24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the Breaks for libkf5mailtransport-data to allow mbox-
    importer to be upgraded (Closes: #1109519).

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Jul 2025 17:08:12 +0200

kmailtransport (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.2~),
-               libksmtp-dev (>= 24.12.2~),
+               libkgapi-dev (>= 24.12.3~),
+               libksmtp-dev (>= 24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kmailtransport
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
@@ -41,7 +41,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
+Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
 Replaces: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:

## kmailtransport 25.04.3

=== debian/changelog ===
kmailtransport (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:24 +0100

kmailtransport (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:26 +0100

kmailtransport (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:10:07 +0100

kmailtransport (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:53:23 +0100

kmailtransport (24.12.3-0ubuntu2) plucky; urgency=medium

  * d/c: Add Breaks/Replaces for libkmailtransport-data against
    libkpim5mailtransport-data. Required for smooth upgrade with Ubuntu
    package naming history. (LP: #2105435)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Apr 2025 02:58:17 +0100

kmailtransport (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.3~),
-               libksmtp-dev (>= 24.12.3~),
+               libkgapi-dev (>= 25.04.3~),
+               libksmtp-dev (>= 25.04.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
@@ -41,8 +42,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
-Replaces: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
+Breaks: libkpim5mailtransport-data,
+        libkf5mailtransport-data,
+        libkf5mailtransport5 (<< 20.04.1-2~),
+Replaces: libkpim5mailtransport-data,
+          libkf5mailtransport-data,
+          libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
  .

## kmailtransport 25.07.80

=== debian/changelog ===
kmailtransport (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:42:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.04.3~),
-               libksmtp-dev (>= 25.04.3~),
+               libkgapi-dev (>= 25.07.80~),
+               libksmtp-dev (>= 25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 25.07.90

=== debian/changelog ===
kmailtransport (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.07.80~),
-               libksmtp-dev (>= 25.07.80~),
+               libkgapi-dev (>= 25.07.90~),
+               libksmtp-dev (>= 25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 25.08.0

=== debian/changelog ===
kmailtransport (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:54:47 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.07.90~),
-               libksmtp-dev (>= 25.07.90~),
+               libkgapi-dev (>= 25.08.0~),
+               libksmtp-dev (>= 25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
